package com.qmth.jkserver.params;

import com.qmth.jkserver.enums.ExamKwProgressType;

/**
 * 考务数据下载以及统计功能
 * @author tianjun
 *
 */
public class ExamKwProgressParams  {
	
	private String examCode;
	
	private ExamKwProgressType type;
	
	private String placeCode;
	
	private Integer pageNo;
	
	private Integer pageSize;
	
	private Boolean already;
	
	private String placeName;

	/**
	 * @return the already
	 */
	public Boolean getAlready() {
		return already;
	}

	/**
	 * @param already the already to set
	 */
	public void setAlready(Boolean already) {
		this.already = already;
	}

	/**
	 * @return the placeName
	 */
	public String getPlaceName() {
		return placeName;
	}

	/**
	 * @param placeName the placeName to set
	 */
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	/**
	 * @return the type
	 */
	public ExamKwProgressType getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(ExamKwProgressType type) {
		this.type = type;
	}

	/**
	 * @return the examCode
	 */
	public String getExamCode() {
		return examCode;
	}

	/**
	 * @param examCode the examCode to set
	 */
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	/**
	 * @return the placeCode
	 */
	public String getPlaceCode() {
		return placeCode;
	}

	/**
	 * @param placeCode the placeCode to set
	 */
	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	/**
	 * @return the pageNo
	 */
	public Integer getPageNo() {
		return pageNo;
	}

	/**
	 * @param pageNo the pageNo to set
	 */
	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	/**
	 * @return the pageSize
	 */
	public Integer getPageSize() {
		return pageSize;
	}

	/**
	 * @param pageSize the pageSize to set
	 */
	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
}
